Mission = {
};

function Mission:OnInit()
	System:SetConsoleImage ("loadscreen_projektariel.dds",0);
end

	Hud.DisplayControl.bShowEnergyMeter = 0;
	Hud.DisplayControl.bShowRadar = 0;
	Hud.DisplayControl.bShowWeapons = 1;
	Hud.DisplayControl.bShowAmmo = 0;
	Hud.DisplayControl.bShowBreathOM = 0;

---------------------------------------------------------
-- Events
---------------------------------------------------------

function Mission:Event_Kino()
	hud_panoramic=1;
end


function Mission:Event_Filmaus()
	hud_panoramic=0;
end

function Mission:Event_Sturmhimmel()
	System:SetSkyBox("12_Mutant", 0, nil);

end


---------------------------------------------------------
-- Ingame Messages
---------------------------------------------------------

function Mission:Event_Prospero()
	Hud:AddSubtitle("Hier ist Prosperos Lieblingsplatz am Strand, wo er sich jeden Abend den Sonnenuntergang anschaut", 4);	

end


function Mission:Event_Zelt()
	Hud:AddSubtitle("Prosperos Cell - deutsche bersetzung: Prosperos Zelle - bersetzung in FarCry: Prosperos Zelt", 4);

end

function Mission:Event_Wrack()
	Hud.label = "'Sie fuhrn uns raus aufs Meer und hatten dort ein morsches Wrack von Kahn bereit. Da setzten sie uns aus.'";
	Hud.labeltime = 6;

end

function Mission:Event_CalibansRock()
	Hud.label = "'Verdienterweis drum bist du hier im Fels gefangen, obgleich du mehr verdient hast als Gefngnis.'";
	Hud.labeltime = 6;
	Hud:AddSubtitle("CALIBAN", 4);

end

function Mission:Event_FoulLake()
	Hud.label = "'Ich lie sie im Sumpf bis bern Kragen paddeln, dass die Brhe den Fuschweiss berstank.'";
	Hud.labeltime = 6;

end

function Mission:Event_Ariel()
	Hud.label = "'Sie schloss dich ein im Stamm der blitzgeborstnen Fichte, dort bliebst du voller Pein zwlf Jahre lang gefangen.'";
	Hud.labeltime = 7;
	Hud:AddSubtitle("ARIEL", 4);

end 


function Mission:Event_Rape()
	Hud.label = "'Ich habe dich, Dreck, der du bist, zu mir in mein Zelt genommen, bis du versuchtest, die Ehre meines Kindes zu schnden'";
	Hud.labeltime = 8;

end


function Mission:Event_Books()
	Hud.label = "'Kannst ihm das Hirn zertreten oder ein Messer in die Gurgel stechen - wenn du seine Bcher hast.'";
	Hud.labeltime = 7;

end

function Mission:Event_Tools()
	Hud.label = "'We shape our tools and they in turn shape us.' - Marshall McLuhan 1964";
	Hud.labeltime = 6;

end

function Mission:Event_Laptop()
	Hud:AddSubtitle("Hier lag einmal mein Laptop - virtuell. Leider wurde er whrend des Projekts geklaut - in echt.", 5);

end

function Mission:Event_KeineAngst()
	Hud.label = "'Hab keine Angst. Die Insel ist voll von Geruschen, Klngen und sen Melodien, die das Ohr erfreuen und harmlos sind.'";
	Hud.labeltime = 8;

end

function Mission:Event_Luhmann()
	Hud.label = "'Was wir ber die Welt, in der wir leben, wissen, wissen wir durch Medien.' - Niklas Luhmann 1977";
	Hud.labeltime = 6;

end

function Mission:Event_Lagerfeuer()
	Hud.label = "'Technology today is the campfire around which we tell our stories.' - Laurie Anderson";
	Hud.labeltime = 6;

end

function Mission:Event_BadMiranda()
	Hud:AddSubtitle("Hier, an diesem Bambus, lugte Caliban vorbei (bitte drcken Sie Taste E), um die splitternackt badende Miranda zu beobachten", 6);

end

function Mission:Event_Erscheinung()
	Hud:AddSubtitle("Prospero erscheint ganz oben -", 3);

end

function Mission:Event_Unsichtbar()
	Hud.label ="- unsichtbar.";
	Hud.labeltime = 4;

end

function Mission:Event_SturmPatch()
	Hud:AddSubtitle("Sturm - Patch, gebaut in Max / MSP von Sami Cornelius", 6)

end

function Mission:Event_Glider()
	Hud.label = "'Let me free'";
	Hud.labeltime = 5;

end

function Mission:Event_Miranda()
	Hud:AddSubtitle("MIRANDA", 4);

end

function Mission:Event_SturmAnfang()	
	System:SetScreenFx("ScreenFade",1);
	System:SetScreenFxParamFloat("ScreenFade","ScreenFadeTime",2);
	local EndSequence=
	{
	{"training_begin.bik", 1},
	};
	VideoSequencer:Play(EndSequence,
	VideoSequencer.TerminateGame);

end

---------------------------------------------------------

function Mission:OnUpdate()
	local i;
	local bFinished=1;
	for i,objective in Mission do
		if (type(objective)~="function") then
			if (objective==0) then 
				bFinished=0;				
			else
			end
		end	
	end
	if (bFinished==1) then	
		self.Finish();
	end
end


function Mission:Finish()

end