Mission = {
};

function Mission:OnInit()
	System:SetConsoleImage ("loadscreen_projektariel.dds",0);
end

	Hud.DisplayControl.bShowEnergyMeter = 0;
	Hud.DisplayControl.bShowRadar = 0;
	Hud.DisplayControl.bShowWeapons = 1;
	Hud.DisplayControl.bShowAmmo = 0;
	Hud.DisplayControl.bShowBreathOM = 0;

---------------------------------------------------------
-- Events
---------------------------------------------------------

function Mission:Event_Kino()
	hud_panoramic=1;
end


function Mission:Event_Filmaus()
	hud_panoramic=0;
end

function Mission:Event_Sturmhimmel()
	System:SetSkyBox("12_Mutant", 0, nil);

end


---------------------------------------------------------
-- Ingame Messages
---------------------------------------------------------

function Mission:Event_Prospero()
	Hud:AddSubtitle("Here is Prospero's favourite place at the beach, where he watches the dawn of the sun every evening.", 3);	

end


function Mission:Event_Zelt()
	Hud:AddSubtitle("Prosperos Cell - Translation in FarCry: Prosperos Tent", 3);

end

function Mission:Event_Wrack()
	Hud.label = "'They bore us some leagues to the sea, where they prepared a rotten carcass. There they hoist us.'";
	Hud.labeltime = 5;

end

function Mission:Event_CalibansRock()
	Hud.label = "'Therefore wast thou deservdly confined into this rock, who hadst deserved more than a prison.'";
	Hud.labeltime = 5;
	Hud:AddSubtitle("CALIBAN", 4);

end

function Mission:Event_FoulLake()
	Hud.label = "'I left them in the swamp, there dancing up to their chins, that the foul water overstunk their feet.'";
	Hud.labeltime = 5;

end

function Mission:Event_Ariel()
	Hud.label = "'She did confine thee into a cloven pine. Imprisoned thou didst painfully remain a dozen years.'";
	Hud.labeltime = 5;
	Hud:AddSubtitle("ARIEL", 4);

end 


function Mission:Event_Rape()
	Hud.label = "'I have logded thee, filth as thou art, in my own cell, till thou didst seek to violate the honour of my child.'";
	Hud.labeltime = 7;

end


function Mission:Event_Books()
	Hud.label = "'Batter his skull, or paunch him with a stake - having first seized his books.'";
	Hud.labeltime = 4;

end

function Mission:Event_Tools()
	Hud.label = "'We shape our tools and they in turn shape us.' - Marshall McLuhan 1964";
	Hud.labeltime = 6;

end

function Mission:Event_Laptop()
	Hud:AddSubtitle("Here stood my laptop - virtually. Unfortunately it was taken by a thief during the project - for real.", 4);

end

function Mission:Event_KeineAngst()
	Hud.label = "'Be not afeard. The isle is full of noises, sounds and sweet airs, that give delight and hurt not.'";
	Hud.labeltime = 6;

end

function Mission:Event_Luhmann()
	Hud.label = "'What we know of the world, in which we live, we know through media.' - Niklas Luhmann 1977";
	Hud.labeltime = 6;

end

function Mission:Event_Lagerfeuer()
	Hud.label = "'Technology today is the campfire around which we tell our stories.' - Laurie Anderson";
	Hud.labeltime = 6;

end

function Mission:Event_BadMiranda()
	Hud:AddSubtitle("Here, at this bamboo, Caliban took a side-glance (please press the key 'E') at Miranda while she was bathing naked.", 5);

end

function Mission:Event_Erscheinung()
	Hud:AddSubtitle("Prospero on the top -", 3);

end

function Mission:Event_Unsichtbar()
	Hud.label ="- invisible.";
	Hud.labeltime = 4;

end

function Mission:Event_Miranda()
	Hud:AddSubtitle("MIRANDA", 4);

end

function Mission:Event_SturmPatch()
	Hud:AddSubtitle("Sturm - Patch, built in Max / MSP by Sami Cornelius", 6)

end

function Mission:Event_Glider()
	Hud.label = "'Let me free'";
	Hud.labeltime = 5;

end

function Mission:Event_SturmAnfang()
	System:SetScreenFx("ScreenFade",1);
	System:SetScreenFxParamFloat("ScreenFade","ScreenFadeTime",2);
	local EndSequence=
	{
	{"training_begin.bik", 1},
	};
	VideoSequencer:Play(EndSequence,VideoSequencer.TerminateGame);

end

---------------------------------------------------------

function Mission:OnUpdate()
	local i;
	local bFinished=1;
	for i,objective in Mission do
		if (type(objective)~="function") then
			if (objective==0) then 
				bFinished=0;				
			else
			end
		end	
	end
	if (bFinished==1) then	
		self.Finish();
	end
end


function Mission:Finish()

end